Bug 986002 - pulp-admin tasks status lists all packages synced for sync task
pulp-admin tasks status lists all packages synced for sync task
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.1.1
Unspecified Unspecified
medium Severity medium
: ---
: 2.5.0
Assigned To: pulp-bugs
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 13:52 EDT by Justin Sherrill
Modified: 2014-11-24 16:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-24 16:33:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2013-07-18 13:52:44 EDT
Description of problem:

"pulp-admin tasks list" lists all packages that were syncing during a sync task.  This is very annoying and makes it hard to list all tasks.  This information would be better served appearing under  pulp-admin tasks details if at all.

When syncing a large repo  tasks list
Comment 1 Justin Sherrill 2013-07-21 21:59:35 EDT
Ignore that last half sentence :)
Comment 2 Michael Hrivnak 2014-09-03 17:16:11 EDT
This was fixed some time ago. I'm putting it on 2.5 just so it gets verified eventually.
Comment 3 Chris Duryee 2014-09-30 09:52:33 EDT
build: 2.5.0-0.6.beta
Comment 4 Preethi Thomas 2014-10-06 09:16:49 EDT
[root@cloud-qe-15 ~]# rpm -qa pulp-server
pulp-server-2.5.0-0.6.beta.el7.noarch
[root@cloud-qe-15 ~]# 

[root@cloud-qe-15 ~]# pulp-admin tasks list
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  sync
Resources:   fedora (repository)
State:       Successful
Start Time:  2014-10-01T13:21:14Z
Finish Time: 2014-10-01T13:21:15Z
Task Id:     13321e1e-999d-4c2a-9164-830200239e67

Operations:  publish
Resources:   fedora (repository)
State:       Successful
Start Time:  2014-10-01T13:21:15Z
Finish Time: 2014-10-01T13:22:12Z
Task Id:     4a587cbc-5e69-4304-93f6-53dc4663a3a3

Note You need to log in before you can comment on or make changes to this bug.